> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all bank accounts

> Returns a paginated list of the user's bank accounts.




## OpenAPI

````yaml openAPI/verifications-partners.yaml get /partners/v2/bank-accounts
openapi: 3.0.0
info:
  title: Partner Verifications API
  version: 1.0.0
  description: |
    Order payroll, banking, and document-based income verifications.
servers:
  - url: https://api-sandbox.argyle.com
    description: Sandbox
  - url: https://api.argyle.com
    description: Production
security:
  - basicAuth: []
paths:
  /partners/v2/bank-accounts:
    get:
      summary: List all bank accounts
      description: Returns a paginated list of the user's bank accounts.
      parameters:
        - in: query
          name: user
          required: true
          schema:
            type: string
            format: uuid
          description: ID of the user.
        - in: query
          name: limit
          schema:
            type: integer
          description: >-
            Number of bank account objects returned [per
            page](/api-guide/overview#pagination). Default: 10. Maximum: 200.
        - in: query
          name: cursor
          schema:
            type: string
          description: >-
            The URL returned in `next` or `previous` used to retrieve another
            [page](/api-guide/overview#pagination) of results.
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  next:
                    type: string
                    format: uri
                    nullable: true
                    description: URL for the next page of results, if available.
                  previous:
                    type: string
                    format: uri
                    nullable: true
                    description: URL for the previous page of results, if available.
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/PartnerBankAccount'
              example:
                results:
                  - id: '8057637863'
                    user: 01975b3b-5ba6-3ec1-2148-f595b6d92614
                    account_number_display: '2203'
                    name: Savings
                    type: savings
                    aggregation_status_code: 0
                    status: active
                    institution: '102168'
                    aggregation_success_date: '2026-06-04T16:57:26.000Z'
                    aggregation_attempt_date: '2026-06-04T16:57:26.000Z'
                    created_date: '2026-06-04T16:57:17.000Z'
                    currency: USD
                    institution_login: 8029158291
                    display_position: 1
                    parent_bank_account: null
                    linked_account_date: '2026-06-04T16:57:22.000Z'
                    error_code: null
                    error_message: null
                    real_account_number_last4: '2203'
                    balance: 22327.3
                    balance_date: '2026-06-04T16:57:26.000Z'
                    last_updated_date: '2026-06-04T16:57:22.000Z'
                    market_segment: personal
                    line_of_business: personal
                    line_of_business_source: Financial_Institution
                    line_of_business_confidence_score: 1
                    last_transaction_date: '2026-06-04T16:57:23.000Z'
                    oldest_transaction_date: '2024-06-08T12:00:00.000Z'
                  - id: '8057637864'
                    user: 01975b3b-5ba6-3ec1-2148-f595b6d92614
                    account_number_display: '1111'
                    name: Checking
                    type: checking
                    aggregation_status_code: 0
                    status: active
                    institution: '102168'
                    aggregation_success_date: '2026-06-04T16:57:27.000Z'
                    aggregation_attempt_date: '2026-06-04T16:57:27.000Z'
                    created_date: '2026-06-04T16:57:17.000Z'
                    currency: USD
                    institution_login: 8029158291
                    display_position: 2
                    parent_bank_account: null
                    linked_account_date: '2026-06-04T16:57:22.000Z'
                    error_code: null
                    error_message: null
                    real_account_number_last4: '1111'
                    balance: 9357.24
                    balance_date: '2026-06-04T16:57:27.000Z'
                    last_updated_date: '2026-06-04T16:57:22.000Z'
                    market_segment: personal
                    line_of_business: business
                    line_of_business_source: Mastercard
                    line_of_business_confidence_score: 0.96
                    last_transaction_date: '2026-06-04T16:57:25.000Z'
                    oldest_transaction_date: '2024-06-08T12:00:00.000Z'
                next: >-
                  https://api-sandbox.argyle.com/partners/v2/bank-accounts?user=01975b3b-5ba6-3ec1-2148-f595b6d92614&cursor=ZXhhbXBsZV9jdXJzb3I
                previous: null
        '400':
          description: The required user query parameter is missing.
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    description: Description of the request error.
              example:
                detail: Request parameter "user" is required
        '401':
          description: Authentication is required.
        '403':
          description: The supplied credentials do not have partner API access.
components:
  schemas:
    PartnerBankAccount:
      type: object
      additionalProperties: true
      example:
        id: '8057637863'
        user: 01975b3b-5ba6-3ec1-2148-f595b6d92614
        account_number_display: '2203'
        name: Savings
        type: savings
        aggregation_status_code: 0
        status: active
        institution: '102168'
        aggregation_success_date: '2026-06-04T16:57:26.000Z'
        aggregation_attempt_date: '2026-06-04T16:57:26.000Z'
        created_date: '2026-06-04T16:57:17.000Z'
        currency: USD
        institution_login: 8029158291
        display_position: 1
        parent_bank_account: null
        linked_account_date: '2026-06-04T16:57:22.000Z'
        error_code: null
        error_message: null
        real_account_number_last4: '2203'
        balance: 22327.3
        balance_date: '2026-06-04T16:57:26.000Z'
        last_updated_date: '2026-06-04T16:57:22.000Z'
        market_segment: personal
        line_of_business: business
        line_of_business_source: Financial_Institution
        line_of_business_confidence_score: 1
        last_transaction_date: '2026-06-04T16:57:23.000Z'
        oldest_transaction_date: '2024-06-08T12:00:00.000Z'
      properties:
        id:
          type: string
          description: ID of the bank account.
        user:
          type: string
          format: uuid
          description: ID of the user associated with the bank account.
        account_number_display:
          type: string
          description: Display account identifier.
        name:
          type: string
          description: Account name.
        type:
          type: string
          description: Bank account type.
          enum:
            - checking
            - savings
            - cd
            - moneyMarket
            - creditCard
            - lineOfCredit
            - investment
            - investmentTaxDeferred
            - employeeStockPurchasePlan
            - ira
            - 401k
            - roth
            - 403b
            - 529plan
            - rollover
            - ugma
            - utma
            - keogh
            - 457plan
            - 401a
            - brokerageAccount
            - educationSavings
            - healthSavingsAccount
            - pension
            - profitSharingPlan
            - roth401k
            - sepIRA
            - simpleIRA
            - thriftSavingsPlan
            - variableAnnuity
            - cryptocurrency
            - mortgage
            - loan
            - studentLoan
            - studentLoanGroup
            - studentLoanAccount
        aggregation_status_code:
          type: integer
          description: >
            Status code of the most recent aggregation attempt.


            See [Aggregation status
            codes](/api-reference/bank-accounts#aggregation-status-codes).
        status:
          type: string
          description: Bank account status.
          enum:
            - pending
            - active
        institution:
          type: string
          description: ID of the financial institution.
        aggregation_success_date:
          type: string
          format: date-time
          description: >-
            Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)) of
            the last successful aggregation for the account.
        aggregation_attempt_date:
          type: string
          format: date-time
          description: >-
            Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)) of
            the last aggregation attempt for the account, whether successful or
            not.
        created_date:
          type: string
          format: date-time
          description: >-
            Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)) for
            when the bank account was created.
        currency:
          type: string
          description: Currency code.
        institution_login:
          type: integer
          description: ID of the institution login.
        display_position:
          type: integer
          description: Display position of the account at the financial institution.
        parent_bank_account:
          type: string
          description: ID of the parent bank account.
        linked_account_date:
          type: string
          format: date-time
          description: >-
            Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)) for
            when the account was linked.
        error_code:
          type: string
          description: Bank connection error code.
        error_message:
          type: string
          description: Bank connection error message.
        real_account_number_last4:
          type: string
          description: Last four digits of the account number.
        balance:
          type: number
          description: >-
            Account balance amount. Returned as a number with up to two decimal
            places.
          x-argyle-decimal-places: 2
          x-argyle-decimal-mode: maximum
        balance_date:
          type: string
          format: date-time
          description: >-
            Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)) for
            when the balance was recorded.
        last_updated_date:
          type: string
          format: date-time
          description: >-
            Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)) for
            when the account was last updated.
        market_segment:
          type: string
          enum:
            - personal
            - business
          description: Indicates whether the account is personal or business.
        line_of_business:
          type: string
          nullable: true
          x-mint:
            post:
              - Coming soon
          enum:
            - personal
            - business
            - unknown
          description: >-
            Indicates how the account is registered with the financial
            institution. Does not indicate how the account is used.
        line_of_business_source:
          type: string
          nullable: true
          x-mint:
            post:
              - Coming soon
          enum:
            - Financial_Institution
            - Mastercard
          description: >
            Source of the **`line_of_business`** value.


            - `Financial_Institution` indicates the value was provided by the
            financial institution.

            - `Mastercard` indicates the value was inferred using analytical
            models.
        line_of_business_confidence_score:
          type: number
          minimum: 0
          maximum: 1
          nullable: true
          x-mint:
            post:
              - Coming soon
          description: >
            Confidence score for **`line_of_business`**, from 0 to 1.


            A score of 1 is expected when the value is provided by the financial
            institution. Scores from 0.90 to 0.99 indicate high confidence, 0.60
            to 0.89 indicate medium confidence, and 0.00 to 0.59 indicate low
            confidence.
        last_transaction_date:
          type: string
          format: date-time
          description: >-
            Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)) of
            the latest transaction.
        oldest_transaction_date:
          type: string
          format: date-time
          description: >-
            Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)) of
            the oldest transaction.
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````